# Enums

The parameters with a predefined set of values are called "enums." The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`.

## List module types

> Gets the list of module types.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/module-types":{"get":{"tags":["Enums"],"summary":"List module types","description":"Gets the list of module types.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"moduleTypes":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}}}}}}}}}}}}}
```

## List timezones

> Gets the list of timezones and their \`timezoneId\` values.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/timezones":{"get":{"tags":["Enums"],"summary":"List timezones","description":"Gets the list of timezones and their `timezoneId` values.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"timezones":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"code":{"type":"string"},"offset":{"type":"string"}}}}}}}}}}}}}}
```

## List countries

> Gets the list of countries and their \`countryId\` values in the \`id\` column. The \`countryId\` is a required parameter when you create a new organization with the API call \`POST /organizations\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/countries":{"get":{"tags":["Enums"],"summary":"List countries","description":"Gets the list of countries and their `countryId` values in the `id` column. The `countryId` is a required parameter when you create a new organization with the API call `POST /organizations`.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"countries":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}}}}}}}}}}}}}
```

## List locales

> Gets the list of locales and their \`localeId\` values and locale codes.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/locales":{"get":{"tags":["Enums"],"summary":"List locales","description":"Gets the list of locales and their `localeId` values and locale codes.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"locales":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"code":{"type":"string"},"angularCode":{"type":"string"}}}}}}}}}}}}}}
```

## List languages

> Gets the list of languages and their language codes.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/languages":{"get":{"tags":["Enums"],"summary":"List languages","description":"Gets the list of languages and their language codes.","parameters":[{"name":"localized","in":"query","schema":{"type":"boolean"},"description":"When set to true, the response contains localized language names, for example --  German: Deutch or Czech: Čeština. This setting limits the number of returned languages to those that have defined their localized name. The default value is `false`."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"languages":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"}}}}}}}}}}}}}}
```

## List user features

> Gets the list of all existing user features and their descriptions.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/user-features":{"get":{"tags":["Enums"],"summary":"List user features","description":"Gets the list of all existing user features and their descriptions.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"userFeatures":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string"},"name":{"type":"string"}}}}}}}}}}}}}}
```

## List organization features

> Gets the list of all existing organization features and their descriptions.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/organization-features":{"get":{"tags":["Enums"],"summary":"List organization features","description":"Gets the list of all existing organization features and their descriptions.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organizationFeatures":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string"},"name":{"type":"string"}}}}}}}}}}}}}}
```

## List email notification settings

> Gets the list of available email notification settings and their \`notificationId\` values. The language of the notification settings descriptions is set according to user language settings by default. You can specify a different language for the notification settings descriptions with the \`language\` parameter.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/user-email-notifications":{"get":{"tags":["Enums"],"summary":"List email notification settings","description":"Gets the list of available email notification settings and their `notificationId` values. The language of the notification settings descriptions is set according to user language settings by default. You can specify a different language for the notification settings descriptions with the `language` parameter.","parameters":[{"name":"language","in":"query","schema":{"type":"string"},"description":"Language code in the ISO 639-1 code standard. Only `en` (English) language is supported."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"userEmailNotifications":{"type":"array","items":{"type":"object","required":["id","translationKey","name","description"],"properties":{"id":{"type":"integer"},"translationKey":{"type":"string","description":"Internal translation key for the notification type."},"name":{"type":"string"},"description":{"type":"string"}}}}}}}}}}}}}}
```

## List API token scopes

> Gets the list of all of the existing user API token scopes. For more information about the user API scopes refer to the \[Authentication section]\(../../authentication/api-scopes-overview\.md).

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/user-api-token-scopes":{"get":{"tags":["Enums"],"summary":"List API token scopes","description":"Gets the list of all of the existing user API token scopes. For more information about the user API scopes refer to the [Authentication section](../../authentication/api-scopes-overview.md).","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"userApiTokenScopes":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"}}}}}}}}}}}}}}
```

## List Make regions

> Gets the list of Make regions and their \`regionId\` values in the \`id\` column. The \`regionId\` is a required parameter when you create a new organization with the API call \`POST /organizations\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/imt-regions":{"get":{"tags":["Enums"],"summary":"List Make regions","description":"Gets the list of Make regions and their `regionId` values in the `id` column. The `regionId` is a required parameter when you create a new organization with the API call `POST /organizations`.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"imtRegions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}}}}}}}}}}}}}
```

## List Make zones

> Gets the list of Make zones and their \`zoneId\` values in the \`id\` column. The \`zoneId\` is a required parameter when you create a new organization with the API call \`POST /organizations\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/imt-zones":{"get":{"tags":["Enums"],"summary":"List Make zones","description":"Gets the list of Make zones and their `zoneId` values in the `id` column. The `zoneId` is a required parameter when you create a new organization with the API call `POST /organizations`.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"imtZones":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"domain":{"type":"string"},"name":{"type":"string"}}}}}}}}}}}}}}
```

## List apps review status

> Gets the list of statuses that Make assigns to custom apps. \
> &#x20;\- \`requestAccepted\`: Make has received the request for a custom app review.\
> &#x20;\- \`inProgress\`: The custom app review is in progress.\
> &#x20;\- \`feedbackSent\`: The Make app developers have sent their feedback to the developer of the custom app.\
> &#x20;\- \`completed\`:\
> &#x20;\- \`waitingForRelease\`:\
> &#x20;\- \`declined\`: The custom app publishing has been declined by Make. The reasons for that could be:&#x20;

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/apps-review-statuses":{"get":{"tags":["Enums"],"summary":"List apps review status","description":"Gets the list of statuses that Make assigns to custom apps. \n - `requestAccepted`: Make has received the request for a custom app review.\n - `inProgress`: The custom app review is in progress.\n - `feedbackSent`: The Make app developers have sent their feedback to the developer of the custom app.\n - `completed`:\n - `waitingForRelease`:\n - `declined`: The custom app publishing has been declined by Make. The reasons for that could be: ","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"reviewStatuses":{"type":"array","items":{"type":"object","properties":{"value":{"type":"integer"},"label":{"type":"string"}}}}}}}}}}}}}}
```

## List variable types

> Retrieves the mapping of custom variable types and their \`typeId\` values.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/variable-types":{"get":{"tags":["Enums"],"summary":"List variable types","description":"Retrieves the mapping of custom variable types and their `typeId` values.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"variableTypes":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"teamOnly":{"type":"boolean"}}}}}}}}}}}}}}
```

## List LLM models

> Gets the list of available Large Language Models (LLM) with their provider information and display priorities. These models can be used for AI mapping and AI toolkit configurations.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/llm-models":{"get":{"tags":["Enums"],"summary":"List LLM models","description":"Gets the list of available Large Language Models (LLM) with their provider information and display priorities. These models can be used for AI mapping and AI toolkit configurations.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"llmModels":{"type":"array","items":{"type":"object","properties":{"modelName":{"type":"string","description":"The technical name of the LLM model"},"providerName":{"type":"string","description":"The provider identifier (e.g., openai, groq, anthropic)"},"modelDisplayName":{"type":"string","description":"The human-readable display name of the model"},"modelDisplayPriority":{"type":"integer","description":"Priority for ordering models in UI (lower numbers first)"},"providerDisplayName":{"type":"string","description":"The human-readable provider name"}}}}}}}}}}}}}}
```

## List LLM builtin tiers

> Gets the list of predefined LLM tiers (small, medium, large) with their associated models, providers, and pricing coefficients. These tiers provide standardized AI model configurations for different use cases and billing rates.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Enums","description":"The parameters with a predefined set of values are called \\\"enums.\\\" The enums endpoints list the mappings of a possible parameter values and the IDs of those values. For example, the endpoint `/enums/timezones` lists the timezone `name` and `code`, such as `Europe/Berlin`, and the `timezoneId`."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/enums/llm-builtin-tiers":{"get":{"tags":["Enums"],"summary":"List LLM builtin tiers","description":"Gets the list of predefined LLM tiers (small, medium, large) with their associated models, providers, and pricing coefficients. These tiers provide standardized AI model configurations for different use cases and billing rates.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"llmBuiltinTiers":{"type":"array","items":{"type":"object","properties":{"tierName":{"type":"string","description":"The tier identifier (small, medium, large)"},"modelName":{"type":"string","description":"The technical name of the associated LLM model"},"providerName":{"type":"string","description":"The provider identifier (e.g., openai, groq)"},"centicreditsCoefficient":{"type":"number","format":"float","description":"The cost coefficient in centicredits per token"},"modelDisplayName":{"type":"string","description":"The human-readable display name of the model"},"providerDisplayName":{"type":"string","description":"The human-readable provider name"}}}}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/enums.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
